<!DOCTYPE html>
<html lang="en">
  <style>
    body {
      background-color: antiquewhite;
    }

    h1 {
      background-color: #285ed4;
      color: white;
    }

    table, tr, td {
      border: 1px solid black;
      text-align: center;
      padding: 8px;
      background-color: rgb(224, 135, 19);
    }

    img {
      border: 1px solid white;
      border-radius: 4px;
      padding: 5px;
      width: 150px;
      height: 150px;
    }

    icon {
      border: 1px solid white;
      border-radius: 4px;
      padding: 5px;
      width: 150px;
      height: 150px;
    }

    .button {
      background-color: #285ed4;
      border: none;
      color: white;
      padding: 15px 32px;
      margin: 3px;
      text-align: center;
      text-decoration: none;
      display: inline-block;
      font-size: 16px;
      cursor: pointer;
    }

    /* The Modal (background) */
    .modal {
      display: none; /* Hidden by default */
      position: fixed; /* Stay in place */
      z-index: 1; /* Sit on top */
      left: 0;
      top: 0;
      width: 100%; /* Full width */
      height: 100%; /* Full height */
      overflow: auto; /* Enable scroll if needed */
      background-color: rgb(0,0,0); /* Fallback color */
      background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    }

    /* Modal Content/Box */
    .modal-content {
      background-color: #fefefe;
      margin: 15% auto; /* 15% from the top and centered */
      padding: 20px;
      border: 1px solid #888;
      width: 80%; /* Could be more or less, depending on screen size */
    }

    /* The Close Button */
    .close {
      color: #aaa;
      float: right;
      font-size: 28px;
      font-weight: bold;
    }

    .close:hover,
    .close:focus {
      color: black;
      text-decoration: none;
      cursor: pointer;
    }
  </style> 
  <head>
    <meta charset="UTF-8" />
    <title>My Watchlist</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script>
      function insertData(data) {
        var table = $("#film-table");

        for (row of data) {
          var id = row.pk;
          var watched = row.fields.watched;
          var title = row.fields.title;
          var rating = row.fields.rating;
          var release_date = row.fields.release_date;
          var review = row.fields.review;
          
          table.append(
            '<tr> <td>' + watched + '</td>' +
              '<td>' + title + '</td>' +
              '<td>' + rating + '</td>' +
              '<td>' + release_date + '</td>' +
              '<td>' + review + '</td>' +
              '<td> <button id="myBtn" value="'+ id +'">View</button> </td> </tr>'
          )

          console.log(row)
        }
      }

      $(document).ready(function() {
        $.ajax({
          url : "/lab-3/json",
          success : insertData,
        });
      });
    </script>
  </head>
  <body>
    <h1>My Watchlist</h1> 
    <table id="film-table">
      <tr>
        <th>Watched</th>
        <th>Title</th>
        <th>Rating</th>
        <th>Release Date</th>
        <th>Review</th>
        <th>Image</th>
        <th>Actions</th>
      </tr>
      <!-- {% for watch in index %}
      <tr>
        <td>{{watch.watched}}</td>
        <td>{{watch.title}}</td>
        <td>{{watch.rating}}</td>
        <td>{{watch.release_date}}</td>
        <td>{{watch.review}}</td>
        <td><img src="{{watch.image_content.url}}"></td>
        <td>
          <a onclick="get_watchlist" class="button">View</a>
          <a onclick="update_movie" class="button">Edit</a>
          <a onclick="delete_movie" class="button">Delete</a>
        </td>
      </tr>
      {% endfor %} -->
    </table>
    {% load static %}
    <img src="{% static 'umaruchan.jpg' %}" alt="My Image" class="icon">
    <a href="/lab-5/add_watchlist" class="button">Daftarkan film kamu disini!</a>
    <a href="/lab-5/watch_list" class="button">Lihat dalam bentuk kartu disini!</a>
    <img src="{% static 'umaruchan.jpg' %}" alt="My Image" class="icon">

    <!-- Trigger/Open The Modal -->
    <button id="myBtn">Open Modal</button>

    <!-- The Modal -->
    <div id="myModal" class="modal">

      <!-- Modal content -->
      <div class="modal-content">
        <span class="close">&times;</span>
      </div>

    </div>

    <script>
      // Get the modal
      var modal = document.getElementById("myModal");

      // Get the button that opens the modal
      var btn = document.getElementsById("myBtn");

      // Get the <span> element that closes the modal
      var span = document.getElementsByClassName("close")[0];

      // When the user clicks on the button, open the modal
      for (i=0; i<btn.length; i++) {
        btn[i].onclick = function() {
          modal.style.display = "block";
        }
      }

      // When the user clicks on <span> (x), close the modal
      span.onclick = function() {
        modal.style.display = "none";
      }

      // When the user clicks anywhere outside of the modal, close it
      window.onclick = function(event) {
        if (event.target == modal) {
          modal.style.display = "none";
        }
      }
    </script>
  </body>
</html>